/// <reference path="layoutContainer.ts" />
var homeguesslike;
(function (homeguesslike) {
    function layout(args, data) {
        var bgView = View.viewWithFrame(0, 0, args.width, 0);
        var imageView = ImageView.viewWithFrame(15, 15, 85, 85);
        imageView.contentMode = 2 /* AspectFill */;
        imageView.placeholderEmpty = "placeholder_empty";
        imageView.placeholderError = "placeholder_error";
        imageView.imageUrl = data.picUrl;
        bgView.addSubView(imageView);
        var picTagView = TextView.viewWithFrame(15, 15, 0, 0);
        picTagView.textSize = 11;
        picTagView.textColor = "#e5bf86";
        picTagView.backgroundColor = "#000000";
        picTagView.textAlignment = 1 /* Center */;
        picTagView.hidden = data.picTag.length === 0;
        picTagView.text = data.picTag;
        picTagView.sizeToFit();
        picTagView.width += 10;
        picTagView.height += 4;
        picTagView.backgroundColor = (data.picTagBg.length > 0 ? data.picTagBg : "#000000");
        bgView.addSubView(picTagView);
        var maxTitleWidth = args.width - 130;
        var realMaxTitleWidth = maxTitleWidth;
        var subTitleTextView = TextView.viewWithFrame(0, 0, maxTitleWidth, 0);
        subTitleTextView.text = data.subTitle;
        subTitleTextView.textSize = 12;
        subTitleTextView.textColor = "#777777";
        subTitleTextView.numberOfLines = 2;
        subTitleTextView.sizeToFit();
        bgView.addSubView(subTitleTextView);
        var subTitleLineNumber = subTitleTextView.height > 20 ? 2 : 1;
        ////////第一行
        var categoryTextView = new TextView();
        categoryTextView.textSize = 9;
        categoryTextView.textColor = "#ffffff";
        categoryTextView.cornerRadius = 2;
        categoryTextView.textAlignment = 1 /* Center */;
        bgView.addSubView(categoryTextView);
        categoryTextView.hidden = data.category.length === 0;
        if (!categoryTextView.hidden) {
            categoryTextView.text = data.category;
            categoryTextView.backgroundColor = (data.categoryColor.length > 0 ? data.categoryColor : "#ff6633");
            categoryTextView.sizeToFit();
            categoryTextView.width += 10;
            categoryTextView.height += 4;
            realMaxTitleWidth = maxTitleWidth - categoryTextView.width - 2;
        }
        var distanceTextView = new TextView();
        distanceTextView.textSize = 13.0;
        distanceTextView.textColor = "#777777";
        bgView.addSubView(distanceTextView);
        distanceTextView.hidden = !(categoryTextView.hidden && data.category.length > 0);
        if (!distanceTextView.hidden) {
            distanceTextView.text = data.distance;
            distanceTextView.sizeToFit();
            realMaxTitleWidth = maxTitleWidth - distanceTextView.width;
        }
        var titleTextView = new TextView();
        titleTextView.textColor = "#111111";
        titleTextView.textSize = 15;
        titleTextView.fontStyle = 1;
        titleTextView.text = data.mainTitle;
        titleTextView.sizeToFit();
        titleTextView.width = realMaxTitleWidth;
        bgView.addSubView(titleTextView);
        var topMargin = subTitleLineNumber == 1 ? 19 : 15;
        var lineSpace = subTitleLineNumber == 1 ? 16 : 11;
        titleTextView.left = imageView.right + 10;
        titleTextView.top = topMargin; //需要计算subtitle的行数
        categoryTextView.right = args.width - 10;
        categoryTextView.centerY = titleTextView.centerY;
        distanceTextView.right = args.width - 10;
        distanceTextView.centerY = titleTextView.centerY;
        topMargin = titleTextView.bottom + lineSpace;
        ////////第二行
        subTitleTextView.left = titleTextView.left;
        subTitleTextView.top = topMargin;
        topMargin = subTitleTextView.bottom + lineSpace;
        ////////第三行
        var priceTextView = new TextView();
        priceTextView.textColor = "#ff6633";
        priceTextView.textSize = 19;
        priceTextView.fontStyle = 1;
        bgView.addSubView(priceTextView);
        priceTextView.hidden = data.price.length === 0;
        if (!priceTextView.hidden) {
            priceTextView.text = data.price;
            priceTextView.sizeToFit();
        }
        var priceExtraTextView = new TextView();
        priceExtraTextView.textColor = "#ff6633";
        priceExtraTextView.textSize = 13;
        bgView.addSubView(priceExtraTextView);
        priceExtraTextView.hidden = priceTextView.hidden || data.priceExtra.length === 0;
        if (!priceExtraTextView.hidden) {
            priceExtraTextView.text = data.priceExtra;
            priceExtraTextView.sizeToFit();
        }
        var discountInfoTextView = new TextView();
        discountInfoTextView.textColor = "#ff6633";
        discountInfoTextView.textSize = 10;
        discountInfoTextView.borderColor = "#ff6633";
        discountInfoTextView.borderWidth = 1;
        discountInfoTextView.cornerRadius = 2;
        discountInfoTextView.textAlignment = 1 /* Center */;
        bgView.addSubView(discountInfoTextView);
        discountInfoTextView.hidden = data.tags.length === 0;
        if (!discountInfoTextView.hidden) {
            discountInfoTextView.text = data.tags[0];
            discountInfoTextView.sizeToFit();
            discountInfoTextView.width += 6;
            discountInfoTextView.height += 3;
        }
        var priceDescTextView = new TextView();
        priceDescTextView.textColor = "#777777";
        priceDescTextView.textSize = 13;
        bgView.addSubView(priceDescTextView);
        priceDescTextView.hidden = !(discountInfoTextView.hidden && data.priceDescription.length > 0);
        if (!priceDescTextView.hidden) {
            priceDescTextView.text = data.priceDescription;
            priceDescTextView.sizeToFit();
        }
        var originalPriceTextView = new TextView();
        originalPriceTextView.textColor = "#777777";
        originalPriceTextView.textSize = 12;
        bgView.addSubView(originalPriceTextView);
        originalPriceTextView.hidden = !(discountInfoTextView.hidden && priceDescTextView.hidden && !priceTextView.hidden && data.oriPrice.length > 0);
        if (!originalPriceTextView.hidden) {
            originalPriceTextView.text = data.oriPrice;
            originalPriceTextView.sizeToFit();
        }
        var adTagTextView = new TextView();
        adTagTextView.textColor = "#bbbbbb";
        adTagTextView.textSize = 10;
        adTagTextView.borderColor = "#bbbbbb";
        adTagTextView.borderWidth = 1;
        adTagTextView.cornerRadius = 2;
        adTagTextView.textAlignment = 1 /* Center */;
        bgView.addSubView(adTagTextView);
        adTagTextView.hidden = data.adTag.length === 0;
        if (!adTagTextView.hidden) {
            adTagTextView.text = data.adTag;
            adTagTextView.sizeToFit();
            adTagTextView.width += 6;
            adTagTextView.height += 3;
        }
        var saleCountTextView = new TextView();
        saleCountTextView.textSize = 13;
        saleCountTextView.textColor = "#777777";
        bgView.addSubView(saleCountTextView);
        saleCountTextView.hidden = data.dealExtraInfo.length === 0;
        if (!saleCountTextView.hidden) {
            saleCountTextView.text = data.dealExtraInfo;
            saleCountTextView.sizeToFit();
        }
        var layoutContainer = LayoutContainer.containerWithViews([
            priceTextView,
            priceExtraTextView,
            originalPriceTextView,
            priceDescTextView,
            discountInfoTextView,
            adTagTextView,
            saleCountTextView
        ]);
        layoutContainer.left = titleTextView.left;
        layoutContainer.top = topMargin - 7;
        layoutContainer.divideSpace = 5;
        priceExtraTextView.marginLeft = 1;
        saleCountTextView.marginLeft = 2;
        discountInfoTextView.ignoreBaselineAdjustment = true;
        adTagTextView.ignoreBaselineAdjustment = true;
        layoutContainer.sizeToFit();
        layoutContainer.layout();
        saleCountTextView.hidden = saleCountTextView.right > args.width - 10;
        saleCountTextView.right = args.width - 10;
        topMargin = layoutContainer.bottom + lineSpace;
        ////////第四行
        var recommendReasonTextView = new TextView();
        recommendReasonTextView.textSize = 12.0;
        recommendReasonTextView.textAlignment = 1 /* Center */;
        recommendReasonTextView.textColor = "#ff6633";
        recommendReasonTextView.backgroundColor = "#ffefea";
        bgView.addSubView(recommendReasonTextView);
        recommendReasonTextView.hidden = data.recomDesc?(data.recomDesc.length === 0):true;
        if (!recommendReasonTextView.hidden) {
            recommendReasonTextView.text = data.recomDesc;
            recommendReasonTextView.sizeToFit();
            recommendReasonTextView.width += 12;
            recommendReasonTextView.height = 18;
            recommendReasonTextView.width = Math.min(recommendReasonTextView.width, maxTitleWidth);
            recommendReasonTextView.left = titleTextView.left;
            recommendReasonTextView.top = topMargin;
            topMargin = recommendReasonTextView.bottom + lineSpace;
        }
        bgView.height = topMargin + 4;
        var button= Button.viewWithFrame(0, 0, args.width, bgView.height);
        button.schema = data.detailInfoSchema;
        bgView.addSubView(button);
        return bgView;
    }
    homeguesslike.layout = layout;
})(homeguesslike || (homeguesslike = {}));
