var travel_dest_journey_list_cell = (function (exports) {
'use strict';

function layout(args, data) {
    data = data;
    var cellWidth = args.width;
    var cellHeight = 128;
    var imageWidth = 115;
    var imageHeight = 100;
    var space = 12;
    var container = View.viewWithFrame(0, 0, cellWidth, cellHeight);
    container.backgroundColor = "#ffffff";
    var mainImageView = new ImageView;
    container.addSubView(mainImageView);
    if (data.imageUrl) {
        mainImageView.imageUrl = data.imageUrl.replace("w.h", "115.100");
        mainImageView.width = imageWidth;
        mainImageView.height = imageHeight;
    }
    var titleLabel = new TextView;
    container.addSubView(titleLabel);
    //三亚市区2日经典玩法
    if (data.title) {
        titleLabel.textSize = 16;
        titleLabel.textColor = "#202325";
        titleLabel.text = data.title;
        titleLabel.left = mainImageView.right + 12;
        titleLabel.top = mainImageView.top + 1;
        titleLabel.width = cellWidth - imageWidth - space*3;
        titleLabel.height = 22;
    }
    // Tag
    var imageTag = data.imageTag;
    if (imageTag) {
        var tagImageView = new ImageView;
        if (imageTag.icon) {
            tagImageView.imageUrl = imageTag.icon;
            tagImageView.left = mainImageView.left;
            tagImageView.top = mainImageView.top;
            tagImageView.height = 19;
            container.addSubView(tagImageView);
        }
        if (imageTag.text) {
            //性价比之选
            var tagLabel = new TextView;
            tagLabel.textSize = 11;
            tagLabel.textColor = "#FFFFFF";
            tagLabel.text = imageTag.text;
            if (imageTag.color) {
                tagLabel.textColor = imageTag.color;
            }
            tagLabel.sizeToFit();
            tagLabel.left = mainImageView.left + 7;
            tagLabel.centerY = tagImageView.centerY;
            container.addSubView(tagLabel);
            tagImageView.width = tagLabel.width + 18;
        }
    }
    if (data.overview) {
        //途经4景点：解放碑 - 洪崖洞 - 磁器口古镇 - 白公馆 
        var overviewLabel = new TextView;
        overviewLabel.textSize = 12;
        overviewLabel.textColor = "#8F9192";
        overviewLabel.numberOfLines = 2;
        overviewLabel.text = data.overview;
        overviewLabel.height = 36;
        overviewLabel.width = titleLabel.width;
        overviewLabel.left = titleLabel.left;
        overviewLabel.top = titleLabel.bottom + 6;
        container.addSubView(overviewLabel);
    }
    if (data.pageViewIcon) {
        var pageViewIcon = new ImageView;
        pageViewIcon.imageUrl = data.pageViewIcon;
        pageViewIcon.width = 14;
        pageViewIcon.height = 14;
        pageViewIcon.left = titleLabel.left;
        pageViewIcon.bottom = mainImageView.bottom - 1;
        container.addSubView(pageViewIcon);
    }
    if (data.pageView) {
        //37923人
        var browseLabel = new TextView;
        browseLabel.textSize = 12;
        browseLabel.textColor = "#8F9192";
        browseLabel.text = data.pageView;
        browseLabel.height = 18;
        browseLabel.width = titleLabel.width - 30 + 12;
        browseLabel.left = mainImageView.right + 30;
        browseLabel.bottom = mainImageView.bottom;
        container.addSubView(browseLabel);
    }

    var button = Button.viewWithFrame(0, 0, cellWidth, cellHeight);
    button.tag = "travel_dest_journey_cell";
    button.schema = data.uri;
    container.addSubView(button);
    return container;
}

exports.layout = layout;

return exports;

}({}));
