var text4_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var width = data.videoWidth;
        var height = data.videoHeight;
        var bgView = View.viewWithFrame(0, 0, width * 0.179, 0);
        // bgView.backgroundColor="#ff0000"
        //top image
        var topImage = ImageView.viewWithFrame(0, 0, width * 0.179, height * 0.025);
        topImage.image = "text4_sticker_pic_1";
        topImage.contentMode = 2 /* AspectFill */;
        bgView.addSubView(topImage);
        var ratio = width / 375;
        //text
        var foodTextView = TextView.viewWithFrame(0, 0, 0, 0);

//        foodTextView.shadowColor = "#4D000000";
//        foodTextView.shadowOpacity = 1.0;
//        foodTextView.shadowOffset = { width: 0, height: 0 };
//        foodTextView.shadowRadius = 2;

        // foodTextView.backgroundColor="#e6e6e6"
        foodTextView.text = data.textChartString;
        foodTextView.lineBreakMode = 4 /* TruncatingTail */;
        foodTextView.textAlignment = 1 /* Center */;
        foodTextView.numberOfLines = 5;
        foodTextView.textColor = "#ffffff";
        foodTextView.textSize = 24 * ratio;
        foodTextView.sizeToFit();
        foodTextView.top = topImage.bottom + height * 0.015;
        bgView.addSubView(foodTextView);
        //bottom image
        var bottomImage = ImageView.viewWithFrame(0, 0, width * 0.179, height * 0.015);
        bottomImage.image = "text4_sticker_pic_2";
        bottomImage.contentMode = 2 /* AspectFill */;
        bottomImage.top = foodTextView.bottom + height * 0.015;
        bgView.addSubView(bottomImage);
        if (foodTextView.width > width * 0.179) {
            if (foodTextView.width > width * 0.52) {
                bgView.width = width * 0.52;
                foodTextView.width = width * 0.52;
                foodTextView.sizeToFit();
                bottomImage.top = foodTextView.bottom + height * 0.015;
            }
            else {
                bgView.width = foodTextView.width;
            }
            topImage.centerX = bgView.centerX;
            bottomImage.centerX = bgView.centerX;
        }
        else {
            foodTextView.centerX = bgView.centerX;
        }
        bgView.height = topImage.height + foodTextView.height + bottomImage.height + height * 0.03;
        return bgView;
    }

    exports.layout = layout;

    return exports;

}({}));
