var poi1_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var videoWidth = data.videoWidth;
        var videoHeight = videoWidth * (667 / 375);
        // const videoWidth = 800
        // const videoHeight = videoWidth * (667/375)
        var poiView = View.viewWithFrame(0, 0, videoWidth * 0.373, videoHeight * 0.189);
        var bgImageView = ImageView.viewWithFrame(0, 0, videoWidth * 0.373, videoHeight * 0.189);
        poiView.addSubView(bgImageView);
        bgImageView.image = "poi1_sticker_pic";
        bgImageView.contentMode = 1 /* AspectFit */;
        var shopNameTextView = TextView.viewWithFrame(videoWidth * 0.069, videoHeight * 0.022, videoWidth * 0.336, videoHeight * 0.063);
//        shopNameTextView.shadowColor = "#33000000";
//        shopNameTextView.shadowOpacity = 1.0;
//        shopNameTextView.shadowRadius = 2 * videoWidth / 375.0;
//        shopNameTextView.shadowOffset = { width: 0, height: 0 };
        poiView.addSubView(shopNameTextView);
        //shopNameTextView.text = "新疆买买hahahahahahahahahahahaahahahahhaahahah巴拉"
        shopNameTextView.text = data.poiInfo.shopName;
        shopNameTextView.textSize = 15 * videoWidth / 375;
        shopNameTextView.fontStyle = 1;
        shopNameTextView.textColor = "#FFFFFFFF";
        shopNameTextView.numberOfLines = 2;
        shopNameTextView.textAlignment = 0 /* Left */;
        shopNameTextView.lineBreakMode = 4 /* TruncatingTail */;
        shopNameTextView.sizeToFit();
        poiView.width = Math.max(poiView.width, shopNameTextView.right - poiView.left);
        poiView.right = Math.max(poiView.width, shopNameTextView.right);
        var divider = View.viewWithFrame(videoWidth * 0.069, 0, videoWidth * 0.04, videoHeight * 0.001);
        poiView.addSubView(divider);
        divider.top = shopNameTextView.bottom + videoHeight * 0.01;
        divider.backgroundColor = "#FFFFFFFF";
        var typeTextView = TextView.viewWithFrame(divider.left, divider.bottom + videoHeight * 0.01, videoWidth * 0.088, videoHeight * 0.022);
        poiView.addSubView(typeTextView);
        typeTextView.textColor = "#FFFFFFFF";
//        typeTextView.shadowColor = "#33000000";
//        typeTextView.shadowOpacity = 1.0;
//        typeTextView.shadowOffset = { width: 0, height: 0 };
//        typeTextView.shadowRadius = 5 * videoWidth / 375.0;
        //typeTextView.text = "hah111a aa"
        typeTextView.text = data.poiInfo.shopType;
        typeTextView.textSize = 11 * videoWidth / 375;
        typeTextView.textAlignment = 0 /* Left */;
        typeTextView.sizeToFit();
        return poiView;
    }

    exports.layout = layout;

    return exports;

}({}));
