var poi2_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var videoWidth = data.videoWidth;
        var videoHeight = videoWidth * (667 / 375);
        // const videoWidth = 1000
        // const videoHeight = videoWidth * (667/375)
        var poiView = View.viewWithFrame(0, 0, videoWidth * 0.26, videoHeight * 0.04);
        //poiView.backgroundColor = "#111111"
        var iconImageView = ImageView.viewWithFrame(0, 0, videoWidth * 0.059, videoHeight * 0.04);
        poiView.addSubView(iconImageView);
        iconImageView.image = "poi2_sticker_pic";
        iconImageView.contentMode = 2 /* AspectFill */;
        var textView = TextView.viewWithFrame(iconImageView.right + 0.011 * videoWidth, 0, videoWidth * 0.2, videoHeight * 0.028);
        poiView.addSubView(textView);
//        textView.shadowColor = "#80000000";
//        textView.shadowRadius = 2 * videoWidth / 375.0;
//        textView.shadowOpacity = 1.0;
//        textView.shadowOffset = { width: 0, height: 1 };
        //textView.text = "中山公 园"
        textView.text = data.poiInfo.mainRegionName;
        textView.textSize = 18 * videoWidth / 375;
        textView.textAlignment = 0 /* Left */;
        textView.textColor = "#FFFFFFFF";
        textView.sizeToFit();
        textView.centerY = iconImageView.centerY;
        poiView.height = Math.max(poiView.height, textView.bottom - poiView.top);
        poiView.width = Math.max(poiView.width, textView.right);
        return poiView;
    }

    exports.layout = layout;

    return exports;

}({}));
