var poi3_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var videoWidth = data.videoWidth;
        var videoHeight = videoWidth * (667 / 375);
        // const videoWidth = 200
        // const videoHeight = videoWidth * (667/375)
        var poiMaxHeight = 0.2 * videoHeight;
        var poiMaxWidth = videoWidth * 0.5;
        var poiView = View.viewWithFrame(0, 0, poiMaxWidth, poiMaxHeight);
        //poiView.backgroundColor = "#111111"
        var topImageView = ImageView.viewWithFrame(0, 0, videoWidth * 0.113, videoHeight * 0.028);
        topImageView.image = "poi3_sticker_pic_1";
        topImageView.contentMode = 2 /* AspectFill */;
        poiView.addSubView(topImageView);
        var shopNameTextView = TextView.viewWithFrame(0, topImageView.bottom + 0.003 * videoHeight, 0.5 * videoWidth, 0.1 * videoHeight);
        //shopNameTextView.text = "新疆买"
//        shopNameTextView.shadowOffset = { width: 0, height: 1 };
//        shopNameTextView.shadowColor = "#80000000";
//        shopNameTextView.shadowOpacity = 1.0;
//        shopNameTextView.shadowRadius = 2 * videoWidth / 375.0;
        shopNameTextView.text = data.poiInfo.shopName;
        shopNameTextView.fontStyle = 1;
        shopNameTextView.textSize = 24 * videoWidth / 375;
        shopNameTextView.textColor = "#FFFFFFFF";
        shopNameTextView.numberOfLines = 2;
        shopNameTextView.textAlignment = 0 /* Left */;
        shopNameTextView.lineBreakMode = 4 /* TruncatingTail */;
        shopNameTextView.sizeToFit();
        poiView.addSubView(shopNameTextView);
        var locationTextView = TextView.viewWithFrame(0, shopNameTextView.bottom, 0.14 * videoWidth, 0.3 * videoHeight);
        //locationTextView.text = "中山公园"
//        locationTextView.shadowColor = "#80000000";
//        locationTextView.shadowOffset = { width: 0, height: 1 };
//        locationTextView.shadowOpacity = 1.0;
//        locationTextView.shadowRadius = 2 * videoWidth / 375.0;
        locationTextView.text = data.poiInfo.mainRegionName;
        locationTextView.textSize = 13 * videoWidth / 375;
        locationTextView.textColor = "#FFFFFFFF";
        locationTextView.textAlignment = 0 /* Left */;
        locationTextView.sizeToFit();
        poiView.addSubView(locationTextView);
        var bottomImageView = ImageView.viewWithFrame(0, locationTextView.bottom + 0.0032 * videoHeight, videoWidth * 0.113, videoHeight * 0.028);
        bottomImageView.image = "poi3_sticker_pic_2";
        bottomImageView.contentMode = 2 /* AspectFill */;
        poiView.addSubView(bottomImageView);
        poiView.height = Math.min(poiMaxHeight, bottomImageView.top + bottomImageView.height);
        poiView.width = Math.min(poiMaxWidth, shopNameTextView.left + shopNameTextView.width);
        return poiView;
    }

    exports.layout = layout;

    return exports;

}({}));
