var poi4_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var videoWidth = data.videoWidth;
        var videoHeight = videoWidth * (667 / 375);
        // const videoWidth = 375
        // const videoHeight = videoWidth * (667/375)
        var poiView = View.viewWithFrame(0, 0, 0.8 * videoWidth, 0.066 * videoHeight);
        //poiView.backgroundColor = "#111111"
        var leftImageView = ImageView.viewWithFrame(0, 0, 0.117 * videoWidth, 0.117 * videoWidth);
        leftImageView.image = "poi4_sticker_pic";
        leftImageView.contentMode = 2 /* AspectFill */;
        poiView.addSubView(leftImageView);
        var titleTextView = TextView.viewWithFrame(leftImageView.right + 0.02 * videoWidth, 0, 0.68 * videoWidth, 0.037 * videoHeight);
        titleTextView.text = data.poiInfo.shopName;
        //titleTextView.text = "好 不好"
//        titleTextView.shadowColor = "#4D000000";
//        titleTextView.shadowOpacity = 1.0;
//        titleTextView.shadowOffset = { width: 0, height: 0 };
//        titleTextView.shadowRadius = 2 * videoWidth / 375.0;;
        titleTextView.textSize = 18 * videoWidth / 375;
        titleTextView.textColor = "#FFFFFF";
        titleTextView.fontStyle = 1 /* FontStyleBold */;
        titleTextView.textAlignment = 0 /* Left */;
        titleTextView.lineBreakMode = 4 /* TruncatingTail */;
        titleTextView.sizeToFit();
        titleTextView.width = Math.min(0.68 * videoWidth, titleTextView.width);
        poiView.addSubView(titleTextView);
        var regionTextView = TextView.viewWithFrame(titleTextView.left, titleTextView.bottom, 0.14 * videoWidth, 0.028 * videoHeight);
        regionTextView.text = data.poiInfo.mainRegionName;
        //regionTextView.text = "中山公园"
//        regionTextView.shadowColor = "#4D000000";
//        regionTextView.shadowOpacity = 1.0;
//        regionTextView.shadowOffset = { width: 0, height: 0 };
//        regionTextView.shadowRadius = 5 * videoWidth / 375.0;
        regionTextView.textSize = 13 * videoWidth / 375;
        regionTextView.textColor = "#FFFFFF";
        regionTextView.textAlignment = 0 /* Left */;
        regionTextView.lineBreakMode = 4 /* TruncatingTail */;
        regionTextView.sizeToFit();
        poiView.addSubView(regionTextView);
        poiView.height = Math.max(Math.max(poiView.height, leftImageView.height), regionTextView.bottom - titleTextView.top);
        poiView.width = Math.min(poiView.width, Math.max(titleTextView.right, regionTextView.right));
        return poiView;
    }

    exports.layout = layout;

    return exports;

}({}));
