var poi5_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var videoWidth = data.videoWidth;
        var videoHeight = videoWidth * (667 / 375);
        // const videoWidth = 800
        // const videoHeight = videoWidth * (667/375)
        var poiView = View.viewWithFrame(0, 0, 0.667 * videoWidth, 0.225 * videoHeight);
        //poiView.backgroundColor = "#111111"
        var bgImageView = ImageView.viewWithFrame(0, 0, poiView.width, poiView.height);
        bgImageView.image = "poi5_sticker_pic";
        bgImageView.contentMode = 2 /* AspectFill */;
        poiView.addSubView(bgImageView);
        var textView = TextView.viewWithFrame(0, 0, poiView.width, 0.037 * videoHeight);
//        textView.shadowColor = "#4D000000";
//        textView.shadowOpacity = 1.0;
//        textView.shadowOffset = { width: 0, height: 0 };
//        textView.shadowRadius = 2;
        textView.centerY = poiView.centerY;
        //textView.text = "jhjhifhwierfrgb2qihruiwhgii2   uhiatro…"
        textView.text = data.poiInfo.shopName;
        textView.textSize = 18 * videoWidth / 375;
        textView.fontStyle = 1 /* FontStyleBold */;
        textView.textColor = "#FFFFFF";
        textView.textAlignment = 1 /* Center */;
        textView.lineBreakMode = 4 /* TruncatingTail */;
        poiView.addSubView(textView);
        poiView.width = Math.max(poiView.width, textView.width);
        return poiView;
    }

    exports.layout = layout;

    return exports;

}({}));
