var poi6_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var videoWidth = data.videoWidth;
        var videoHeight = videoWidth * (667 / 375);
        // const videoWidth = 400
        // const videoHeight = videoWidth * (667/375)
        var poiView = View.viewWithFrame(0, 0, 0.8 * videoWidth, 0.172 * videoHeight);
        //poiView.backgroundColor = "#111111"
        var bgImageView = ImageView.viewWithFrame(0, 0, poiView.width, poiView.height);
        bgImageView.image = "poi6_sticker_pic";
        bgImageView.contentMode = 2 /* AspectFill */;
        poiView.addSubView(bgImageView);
        var typeTextView = TextView.viewWithFrame(0, 0.072 * videoHeight, 0.1 * videoWidth, 0.028 * videoHeight);
        poiView.addSubView(typeTextView);
//        typeTextView.shadowColor = "#4D000000";
//        typeTextView.shadowRadius = 2;
//        typeTextView.shadowOpacity = 1.0;
//        typeTextView.shadowOffset = { width: 0, height: 0 };
        //typeTextView.text = "法国菜"
        typeTextView.text = data.poiInfo.shopType;
        typeTextView.textSize = 13 * videoWidth / 375;
        typeTextView.textColor = "#FFFFFF";
        typeTextView.textAlignment = 0 /* Left */;
        typeTextView.sizeToFit();
        typeTextView.centerX = poiView.centerX;
        var titleTextView = TextView.viewWithFrame(0.1 * videoWidth, typeTextView.bottom, bgImageView.width - 0.2 * videoWidth, 0.037 * videoHeight);
        //titleTextView.text = "逃牛岭 Runaway Cow Biatrjewiqfhiurefhwgih"
//        titleTextView.shadowColor = "#4D000000";
//        titleTextView.shadowOpacity = 1.0;
//        titleTextView.shadowOffset = { width: 0, height: 0 };
//        titleTextView.shadowRadius = 2;
        titleTextView.text = data.poiInfo.shopName;
        titleTextView.textSize = 18 * videoWidth / 375;
        titleTextView.fontStyle = 1 /* FontStyleBold */;
        titleTextView.textColor = "#FFFFFF";
        titleTextView.textAlignment = 1 /* Center */;
        titleTextView.lineBreakMode = 4 /* TruncatingTail */;
        poiView.addSubView(titleTextView);
        return poiView;
    }

    exports.layout = layout;

    return exports;

}({}));
