var poi7_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var videoWidth = data.videoWidth;
        var videoHeight = videoWidth * (667 / 375);
        // const videoWidth = 800
        // const videoHeight = videoWidth * (667/375)
        var poiView = View.viewWithFrame(0, 0, 0.43 * videoWidth, 0.11 * videoHeight);
        //poiView.backgroundColor = "#111111"
        var bgImageView = ImageView.viewWithFrame(0, 0, 0.216 * videoWidth, 0.11 * videoHeight);
        bgImageView.image = "poi7_sticker_pic";
        bgImageView.contentMode = 2 /* AspectFill */;
        poiView.addSubView(bgImageView);
        var textView = TextView.viewWithFrame(0.072 * videoWidth, 0.056 * videoHeight, 0.36 * videoWidth, 0.064 * videoHeight);
//        textView.shadowColor = "#4D000000";
//        textView.shadowRadius = 2;
//        textView.shadowOpacity = 1.0;
//        textView.shadowOffset = { width: 0, height: 0 };
        textView.text = data.poiInfo.shopName;
        //textView.text = "北京羲和雅苑烤鸭坊（来福士广场店）…"
        textView.textSize = 14 * videoWidth / 375.0;
        textView.textColor = "#FFFFFFFF";
        textView.numberOfLines = 2;
        textView.textAlignment = 0 /* Left */;
        textView.lineBreakMode = 4 /* TruncatingTail */;
        textView.sizeToFit();
        textView.height = Math.max(0.064 * videoHeight, textView.height);
        poiView.addSubView(textView);
        poiView.width = Math.min(poiView.width, textView.width + textView.left);
        return poiView;
    }

    exports.layout = layout;

    return exports;

}({}));
