var poi8_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var videoWidth = data.videoWidth;
        var videoHeight = videoWidth * (667 / 375);
        // const videoWidth = 200
        // const videoHeight = videoWidth * (667/375)
        var poiView = View.viewWithFrame(0, 0, 0.6 * videoWidth, 0.091 * videoHeight);
        //poiView.backgroundColor = "#111111"
        var bgImageView = ImageView.viewWithFrame(0, 0, 0.1 * videoWidth, 0.091 * videoHeight);
        bgImageView.image = "poi8_sticker_pic";
        bgImageView.contentMode = 2 /* AspectFill */;
        poiView.addSubView(bgImageView);
        var textView = TextView.viewWithFrame(0.035 * videoWidth, 0.07 * videoHeight, 0.572 * videoWidth, 21);
//        textView.shadowOpacity = 1.0;
//        textView.shadowOffset = { width: 0, height: 0 };
//        textView.shadowColor = "#4D000000";
//        textView.shadowRadius = 2;
        poiView.addSubView(textView);
        textView.text = data.poiInfo.shopName;
        //textView.text = "逃牛岭 Runaway CowBiatrejfqhwgihnfi "
        textView.fontStyle = 1;
        textView.textSize = 15 * videoWidth / 375;
        textView.textColor = "#FFFFFFFF";
        textView.textAlignment = 0 /* Left */;
        textView.lineBreakMode = 4 /* TruncatingTail */;
        textView.sizeToFit();
        textView.width = Math.min(0.572 * videoWidth, textView.width);
        textView.height = Math.min(21, textView.height);
        textView.bottom = poiView.height;
        poiView.width = Math.min(poiView.width, textView.width + textView.left);
        return poiView;
    }

    exports.layout = layout;

    return exports;

}({}));
