var text1_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var width = data.videoWidth;
        var height = data.videoHeight;
        var bgView = View.viewWithFrame(0, 0, width * 0.557, 0);
        //bgView.backgroundColor="#ff0000"
        //top image
        var topImage = ImageView.viewWithFrame(0, 0, width * 0.557, height * 0.04);
        topImage.image = "text1_sticker_pic_1";
        topImage.contentMode = 2 /* AspectFill */;
        bgView.addSubView(topImage);

        var ratio = width / 375;
        //text
        var foodTextView = TextView.viewWithFrame(0, 0, bgView.width, 0);

//        foodTextView.shadowColor = "#4D000000";
//        foodTextView.shadowOpacity = 1.0;
//        foodTextView.shadowOffset = { width: 0, height: 0 };
//        foodTextView.shadowRadius = 2;

        foodTextView.text = data.textChartString;
        foodTextView.lineBreakMode = 4 /* TruncatingTail */;
        foodTextView.textAlignment = 1 /* Center */;
        foodTextView.numberOfLines = 5;
        foodTextView.textColor = "#ffffff";
        foodTextView.textSize = 24 * ratio;
        foodTextView.sizeToFit();
        foodTextView.centerX = bgView.centerX;
        // foodTextView.centerY = bgView.centerY
        foodTextView.top = topImage.bottom;
        bgView.addSubView(foodTextView);
        //bottom image
        var bottomImage = ImageView.viewWithFrame(0, 0, width * 0.557, height * 0.033);
        bottomImage.image = "text1_sticker_pic_2";
        bottomImage.contentMode = 2 /* AspectFill */;
        bottomImage.top = foodTextView.bottom;
        bottomImage.centerX = bgView.centerX;
        bgView.addSubView(bottomImage);
        bgView.height = topImage.height + foodTextView.height + bottomImage.height;
        return bgView;
    }

    exports.layout = layout;

    return exports;

}({}));
